# Subvenciones

Un reto con la Base de Datos Nacional de Subvenciones (BDNS).

|              |                                                                    |
| ------------ | ------------------------------------------------------------------ |
| GitHub       | https://github.com/JaimeObregon/subvenciones                       |
| Discord      | https://discord.gg/r2ytSa782D                                      |
| Idea inicial | https://twitter.com/JaimeObregon/status/1507693311422877697 (hilo) |

# El punto de partida

El Ministerio de Hacienda y Función Pública de España, a través de la Intervención General de la Administración del Estado, opera el [Sistema Nacional de Publicidad de Subvenciones y Ayudas Públicas](https://www.infosubvenciones.es). Se trata, telegráficamente, de un portal web que recoge las convocatorias y concesiones de subvenciones públicas.

![Portada del portal oficial](docs/assets/infosubvenciones-home.jpg)

Este portal es una inciativa en favor de la transparencia, pero tiene notables limitaciones.

# El problema

El portal oficial proporciona un interfaz cutre de acceso a unos datos que, sin embargo, son de alto valor para la transparencia:

1. **La búsqueda es rudimentaria**, con una experiencia de usuario mejorable. El portal aparentemente no permite usos simples tales como, por ejemplo, reunir y explorar la totalidad de las subvenciones concedidas a un beneficiario dado. Y la ergonomía del sistema es pobre, con un interfaz de usuario tedioso, enlaces que caducan y que por lo tanto no se pueden guardar ni compartir…

1. **La consulta de los datos es muy lenta.** La mera carga de una página arbitraria de concesiones puede suponer esperar más de dos minutos. Esto dinamita el acceso de la ciudadanía a los datos públicos, pues en la práctica la consulta es tan lenta que se hace imposible. El ciudadano tira la toalla.

1. **No se pueden descargar los datos.** Se pueden hacer descargas parciales, pero el portal no proporciona un mecanismo para la descarga de la totalidad del conjunto de datos. Esto impide una exploración _offline_ del conjunto de datos y la aplicación de métodos avanzados de análisis.

# El reto

¿Podemos, como sociedad civil, hacerlo mejor? ¿Podemos, como país, dotarnos de un instrumento mejor para el acceso y la publicidad de estos datos públicos?

El reto consiste en arramplar con todos los datos del portal oficial y construir una herramienta alternativa para explorarlos de forma útil, eficaz y creativa.

Y hacerlo de forma cooperativa, reuniendo esfuerzos y capacidades en torno a un proyecto colaborativo de software libre y código abierto al que todo aquel que lo desee puede asomarse y contribuir.

# Cómo contribuir

`[WIP]`

- **Si eres un programador** …

- **Si eres un especialista en ayudas públicas** …

- **Si eres un diseñador** …

- **Si eres un trabajador de la Administración Pública**, como por ejemplo un interventor, puedes contarnos cómo …

- **Si eres un periodista o investigador** …

- **Si eres un especialista en protección de datos** …

- **Si eres un abogado** …

- **Si eres otra cosa**, ¡adelante! Echa un vistazo, observa y participa como desees.

# Próximos pasos

`[WIP]`

1. Terminar esta introducción.

1. Organizar alemanamente los siguientes pasos.

1. El repositorio puede sacarse del GitHub de JaimeObregon y moverse a otro más neutro, para que el proyecto no esté asociado al nombre de nadie en particular.

# Marco legal

`[WIP]`

…

# Participantes

¡Desentierra tu hacha, participa y añade tu nombre de guerra! 😄

- Jaime Gómez Obregón ([@JaimeObregon](https://twitter.com/jaimeobregon)), _scraping_ de los datos y propuesta inicial.
- …
